Page 1 of 4 123 ... LastLast
Results 1 to 10 of 33

Thread: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

  1. #1
    Join Date
    Nov 2009
    Location
    Germany
    Posts
    80

    Default Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Hello,
    Skype 4.1.0.20 stopped to work to me after kernel update to 3.7.10-1.4-default (x64).
    On cli I become only "Speicherzugriffsfehler" in english "segmentation fault" and nothing more.
    It worked perfectly before update. Has anybody some ideas what have to do?
    Thanks in advance.

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Did you try booting to the old kernel to see if the older kernel still works ?

    I think in 12.3 by default the old kernel is kept as a grub selection ? (at least it is for legacy grub).

  3. #3
    Join Date
    Nov 2009
    Location
    Germany
    Posts
    80

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Thank you, oldcpu,
    I have legacy grub and no, by the older kernel it does not work. So it is not kernel problem.
    But what than?

  4. #4
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Quote Originally Posted by eugeniak1 View Post
    Thank you, oldcpu,
    I have legacy grub and no, by the older kernel it does not work. So it is not kernel problem.
    But what than?
    try removing the directory /home/eugeniak1/.skype and uninstall the skype rpm. Then re-install skype and run skype.

  5. #5

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    I have the same issue. Skype returns a segmentation fault. I updated many packages over the weekend. Deleting .Skype directory, Skype rpm, and reinstalling have no effect. Now the trick is figuring out what is the offending update. Sigh.

  6. #6
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Quote Originally Posted by JJMT View Post
    I have the same issue. Skype returns a segmentation fault. I updated many packages over the weekend. Deleting .Skype directory, Skype rpm, and reinstalling have no effect. Now the trick is figuring out what is the offending update. Sigh.
    To see what was installed, one can type:
    Code:
    rpm -qa --last | less
    wait a bit for the update, and press 'q' to exit.

  7. #7

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Quote Originally Posted by oldcpu View Post
    To see what was installed, one can type:
    Code:
    rpm -qa --last | less
    wait a bit for the update, and press 'q' to exit.
    Well, I'll pull stuff out of the zypper log file. This is the most recent bunch of updates:

    Code:
    2013-05-06 14:11:38|install|gnome-themes-accessibility|3.6.2-3.4.1|noarch||repo-update|c7f43adec09b6b78f64467720b5be72941207e2bfb457e1823ca29bba44bc30d|
    2013-05-06 14:11:40|install|metatheme-adwaita-common|3.6.2-3.4.1|noarch||repo-update|564fe8b226936d54d60e6ec13df6d29d88baa3a5e2b9e563e64124c0486be067|
    2013-05-06 14:11:41|install|yast2-security|2.23.6-1.8.1|noarch||repo-update|fed36d767ab4bc09a9dbd0381cb9ae49b28b7144242f0396c3c98abae06c399d|
    2013-05-06 14:11:42|install|gtk2-theming-engine-adwaita|3.6.2-3.4.1|x86_64||repo-update|bac9df6221a5a5fc6d582a611be47b022dd028688eab8f85473b873869d4b79e|
    2013-05-06 14:11:42|install|gtk3-theming-engine-adwaita|3.6.2-3.4.1|x86_64||repo-update|eec0366755163ff08e7b92e9d3277338910ea9d5dce79ab194a3114da7a50c2d|
    2013-05-06 14:11:42|install|libestr0|0.1.5-2.4.1|x86_64||repo-update|ab03a6e8e432b0cae111a53018105af6e7960ac23a483f76c203a67c116d7e6d|
    2013-05-06 14:11:43|install|gtk2-metatheme-adwaita|3.6.2-3.4.1|noarch||repo-update|eb59a132842e6fd745a7c944b3ba240235da8de3baad8abb1e0c7337c6913d4b|
    2013-05-06 14:11:43|install|gtk3-metatheme-adwaita|3.6.2-3.4.1|noarch||repo-update|ffd9e3c3e79e257235bf8c0c24f32538282ec321d4aecd209547525d01eede3c|
    I was hopeful about that, as I've seen gtk themes make Skype segfault in the past. But I've rolled all those back with no effect on Skype.

    The prior update is apparently too long to post. QT4 was updated, and that seems like a good bet. More to come, as I have time to roll stuff back.

  8. #8

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    QT4 was updated, and that seems like a good bet. More to come, as I have time to roll stuff back.
    That was a good bet. I downgraded all QT4 packages from 4.8.4-313.1 to 4.8.4-3.3.1, and now Skype works.

  9. #9
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Quote Originally Posted by JJMT View Post
    That was a good bet. I downgraded all QT4 packages from 4.8.4-313.1 to 4.8.4-3.3.1, and now Skype works.
    Such investigative work is VERY interesting to know - but it leaves me puzzled. Is this successful Skype functionality with the new kernel or the old kernel ?

    It makes me wonder what update in a QT4 package caused the problem ?

    I still have the older 3.7-10-1.1.1 kernel on my main desktop PC (I have not yet updated to the 3.7.10-1.4.1 kernel). I checked YaST and I have no QT4 updates waiting to install. I only have rsyslog, kernel updates, some gtk2 updates, a methatheme-adwita-common update, a Mozilla Firefox update, yast2-security update and libestr0 update. None of those updates have I done yet.

    And I note I successfully used Skype earlier this evening. No segfaults. So I'm puzzling as to what could happen if I were to update given there are no QT4 updates waiting ?

    I'm wondering if there are other Skype users who have experienced this problem ?

  10. #10

    Default Re: Skype 4.1.0.20 on opensuse 12.3 stopped to work after kernel update

    Quote Originally Posted by oldcpu View Post
    Such investigative work is VERY interesting to know - but it leaves me puzzled. Is this successful Skype functionality with the new kernel or the old kernel ?

    It makes me wonder what update in a QT4 package caused the problem ?

    I still have the older 3.7-10-1.1.1 kernel on my main desktop PC (I have not yet updated to the 3.7.10-1.4.1 kernel). I checked YaST and I have no QT4 updates waiting to install. I only have rsyslog, kernel updates, some gtk2 updates, a methatheme-adwita-common update, a Mozilla Firefox update, yast2-security update and libestr0 update. None of those updates have I done yet.

    And I note I successfully used Skype earlier this evening. No segfaults. So I'm puzzling as to what could happen if I were to update given there are no QT4 updates waiting ?

    I'm wondering if there are other Skype users who have experienced this problem ?
    My kernel is 3.7.10-1.4.1 (desktop). Probably the difference for those of you with Skype still working is that I have KDE 4.10.2 installed, and I got a QT4 update from that repo which is apparently the source of the problem. I downgraded to QT4 from Oss to make Skype work.

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •